aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorXiretza <xiretza@xiretza.xyz>2021-04-27 18:15:35 +0200
committerUnai Martinez-Corral <38422348+umarcor@users.noreply.github.com>2021-04-27 19:39:03 +0200
commit9e7d54f0a5816f433f03271ea9f46bc7803e97e2 (patch)
treec5078c948658015209ad0f716b0ff62e36086c76
parent4ca59b2496725c6b45904ce5d5d852e5703adc36 (diff)
downloadghdl-9e7d54f0a5816f433f03271ea9f46bc7803e97e2.tar.gz
ghdl-9e7d54f0a5816f433f03271ea9f46bc7803e97e2.tar.bz2
ghdl-9e7d54f0a5816f433f03271ea9f46bc7803e97e2.zip
testsuite: try to determine ghwdump location automatically
-rw-r--r--Makefile.in2
-rwxr-xr-xtestsuite/testsuite.sh9
2 files changed, 10 insertions, 1 deletions
diff --git a/Makefile.in b/Makefile.in
index 082596174..3d229c4e4 100644
--- a/Makefile.in
+++ b/Makefile.in
@@ -291,7 +291,7 @@ install.gcc: install.grt
uninstall.gcc: uninstall.grt
test.gcc:
- cd $(srcdir)/testsuite; GHDL=$(GHDL_GCC_BIN) ./testsuite.sh
+ cd $(srcdir)/testsuite; GHDL=$(GHDL_GCC_BIN) GHWDUMP=$(CURDIR)/ghwdump$(EXEEXT) ./testsuite.sh
#################### For gcc backend - development only (local build) ####
diff --git a/testsuite/testsuite.sh b/testsuite/testsuite.sh
index 4c454d35c..cc1b91910 100755
--- a/testsuite/testsuite.sh
+++ b/testsuite/testsuite.sh
@@ -87,6 +87,15 @@ if [ "x$GHDL" = "x" ]; then
fi
fi
+if [ "$GHWDUMP" = "" ]; then
+ case "$GHDL" in
+ */*) export GHWDUMP=${GHDL%/*}/ghwdump;;
+ *) export GHWDUMP=ghwdump;;
+ esac
+fi
+
+command -v "$GHWDUMP" >/dev/null || die "ghwdump executable not found: $GHWDUMP"
+
cd $(dirname "$0")
rm -f test_ok
failures=""